package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.TeacherSelfStyleInfoBean;

/**
 * 创建日期：2022/5/13 14:15
 *
 * @author Ryan
 * 类说明：
 */
public interface MineStylePageContract {
    interface MineStylePageView extends BaseView {
        void getSelfStyleSuccess(TeacherSelfStyleInfoBean styleInfoBean);
        void saveTeacherStyleSuccess(TeacherSelfStyleInfoBean styleInfoBean);
        void upLoadVideoSuccess(TeacherSelfStyleInfoBean.StyleVideoBean styleVideoBean);
        void upLoadVideoFailure();
    }

    interface Presenter {
        void getTeacherSelfStyle();
    }
}
